
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>如何使用自定MQ SendExit来填充本地MQ应用程序 / iVAN</title>

    <meta name="description" content="如何使用自定MQ SendExit来填充本地MQ应用程序 WebSphere MQ 绑定简化了 MQ 消息的发送和接收,但在 http://www.aliyun.com/zixun/aggregation/13387.html&quot;&gt;WebSphere Integration Developer 中不能用 MQ 绑定填充 MQ 标头字段.本文将向您介绍如何使用自定义 MQ SendExit 来填充本地 MQ 应用程序所需的 MQ 标头,本文还包括在 MQ 标头设置 AppIdentityData 的样例代码. IBM WebSphere E ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">如何使用自定MQ SendExit来填充本地MQ应用程序</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>WebSphere MQ 绑定简化了 MQ 消息的发送和接收，但在 &quot;&gt;WebSphere Integration Developer 中不能用 MQ 绑定填充 MQ 标头字段。本文将向您介绍如何使用自定义 MQ SendExit 来填充本地 MQ 应用程序所需的 MQ 标头，本文还包括在 MQ 标头设置 AppIdentityData 的样例代码。</p>
<p>IBM WebSphere ESB 中的 IBM&reg; WebSphere&reg; MQ 绑定让您可以通过 WebSphere MQ 发送和接收消息。MQ 绑定自动将 MQ Message Descriptor (MQMD) 添加到任何没有 MQMD 的消息中，但不会修改 MQMD。MQHeaderSetter 基元可用于对消息创建和更改 MQ 标头，但在 WebSphere ESB V6.2 中有些字段不能被填充，包括：</p>
<p>UserIdentifier AppIdentityData PutApplType PutApplName ApplOriginData<br />
<br />虽然在 WebSphere ESB V7 或其更高版本中，可以通过在 JNDI 队列定义上设置自定义属性 MDCTX= SET_ALL_CONTEXT 传播这些 MQMD 字段，但本文介绍了通过自定义 MQ SendExit 来解决 WebSphere ESB V6.2 中的这个问题。本文使用了下列产品：</p>
<p>WebSphere<br />
Integration Developer V6.2.0.2 WebSphere ESB V6.2.0.2 Integrated Test Environment（包括在 WebSphere Integration Developer 中） WebSphere MQ V6.0.2.9<br />
<br />使用自定义 MQ SendExit 填充 MQMD</p>
<p>样例项目将向您展示如何在 MQMD 中编写一个自定义 MQ SendExit 来填充 AppIdentityData：</p>
<p>构建模块</p>
<p>首先，创建一个 MQ 绑定测试模块：</p>
<p>创建一个名称为 MQHeaderTest 的新模块。确保选中了 Create mediation component。 在库上打开 Dependencies，在 Pre<br />
defined Resources 下面，选中 Schema for simple JMS Data Bindings，<br />
然后单击 Save。JMS 正文类型现在已可用。 在该模块中，创建一个名称为 MQHeaderTestService 的新接口。 创建一个名称为 sendMessage 的单向操作。 将 input1 的类型更改为 JMSTextBody 并单击 Save 保存接口：<br />
<br /> 图 1. MQHeaderTestService 接口<br />
<br /> 创建一个名称为 MQTestMessage 的业务对象：<br />
<br /> 图 2. MQTestMessage 业务对象<br />
<br /> 创建名称为 TestRequestService 的另一个接口：<br />
<br /> 图 3. TestRequestService 接口<br />
<br /> 右键单击中介组件，选择 Add:<br />
Interface，并选择 TestRequestService。 将一个 Import 添加到装配图。 将中介组件连接到 Import，当被要求添加一个引用时，选择 MQHeaderTestService。 右键单击 Import 并选择 Generate Binding =&gt; Messaging Binding =&gt; MQ Binding。 为 MQ 连接工厂和队列指定 JNDI 名称，然后单击 OK：<br />
<br /> 图 4. MQ 绑定</p>
<p>装配图如图 5 所示：</p>
<p>图 5. MQHeaderTest 装配图</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 11:32:29</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%ba%94%e7%94%a8%e7%a8%8b%e5%ba%8f/" title="应用程序">应用程序</a>, <a href="https://www.iamivan.net/tag/ibm/" title="IBM">IBM</a>, <a href="https://www.iamivan.net/tag/sendexit/" title="SendExit">SendExit</a>, <a href="https://www.iamivan.net/tag/%e6%9c%ac%e5%9c%b0mq/" title="本地MQ">本地MQ</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>如何使用自定MQ SendExit来填充本地MQ应用程序的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b32djAz.html" rel="bookmark">MQ命令学习总结大全MQ常用命令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一．MQ基本操作       MQ中有几个很重要的组件:队列管理器(QueueManager).队列(Queue)和通道(Channel).其基本的操作方法如下:       创建队列管理器       crtmqm –q QMgrName       -q是指创建缺省的队列管理器       删除队列管理器       dltmqm QmgrName       启动队列管理器       strmqm QmgrName       如果是启动默认的队列管理器,可以不带其名字       停止			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkw3K7p.html" rel="bookmark">mq客户端能不能本地通信</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 刚接触MQ,请问我在电脑上安了IBMWebsphereMQ客户端能不能实现本地通信呢?,比如就在我的电脑上发一个消息,然后在我的电脑上接收,是不是必须要有服务器端才行呢,谢谢! 解决方案 解决方案二:各位兄弟.一个比较好的休闲网站.小弟拿出来分享一下.http://www.lang69.cn/register.php?fromuid=5698815解决方案三:只有MQ服务器才能提供一个＂队列＂,让一个程序把消息放进去存放,然后给另一个程序读走,从而达到两个程序通讯的效果．只有MQ客户端			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2JRdvb.html" rel="bookmark">IBM MQ 错误日志：调用 MQ 错误记录例程，失败的进程是进程 4780</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 -----amqxfdcp.c:815--------------------------------------------------------2013/2/1816:31:39-Process(4780.7859)User(MUSR_MQADMIN)Program(amqzlaa0.exe)Host(FTPSERVER)AMQ6119:发生了内部WebSphereMQ错误(Rc=112fromSetEndOfFile)说明:MQ检测到调用操作系统时发生的意外错误.调用MQ错误记			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0bo7JVb.html" rel="bookmark">MQ使用几个命令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.MQ常见基本指令: MQ现在使用的比较常见,但是在测试过程中,使用命令行直接查询,有时候事半功倍. activemq-admin stop activemq-admin list activemq-admin query activemq-admin bstat activemq-admin browse 下面是一些基本的命令:        activemq--运行activemq代理        activemq-admin--管理代理的实例 在5.0之前activemq-admin被			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM6qLLb.html" rel="bookmark">Canvas绘图中的路径描边与填充</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  1.路径.描边与填充 迄今为止,在本章之中我们所绘制的唯一图形,就是通过在Canvas的绘图环境对象上调用strokeRect()方法 所画的矩形.我们也通过调用fillRect()方法对其进行了填充.这两个方法都是立即生效的.实际上,它们是Canvas绘图环境中仅有的两个可以用 来立即绘制图形的方法(strokeText()与fillText()方法也是进行立即绘制的,但文本不算是图形).绘图环境对象中还有一些方法,用于 绘制诸如贝塞尔曲线(bézier curve)这样更为复杂的图形,这			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qbaVYnM.html" rel="bookmark">实现SOA连接的第一步：WebSphere MQ V7新功能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 &quot;SOA Message Backbone&quot;,这是对WebSphere MQ V7.0的最佳写照.它可跨越J2EE.Microsoft.NET等多种环境,支持多达35种平台:它支持JMS, Web2.0等全新的技术和标准,它还具有全面的安全机制Secure Sockets Layer (SSL),并且通过各种手段,不断优化性能,简化管理. WebSphere MQ V7.0 新增功能主要包括:对Web 2.0的支持,对内置发布/订阅功能的增强,在MQ Client.JMS.MQI			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vMNZW4M.html" rel="bookmark">应用WebSphere MQ V6 来构建企业信息总线的行业示例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				引言 IBM WebSphere MQ 是目前应用最多的消息中间件产品, 它采用了消息队列(Message Queue)这种应用程序间的通信方法, 让不同的应用程序通过读写和检索出入队列中的数据(消息)来通信, 而无需直接面对网络易变.系统异构.数据协同等各种问题和风险. WebSphere MQ 同时也支持简单的 Publish/Subscribe(发布 / 订阅)消息传递机制, 每个队列管理器中有唯一的 Broker 代理来处理所有的订阅和发布. WebSphere MQ 支持 Cluste			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXB9ZAb.html" rel="bookmark">不可或缺的十种WebSphere MQ SupportPac</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SupportPac 是什么? SupportPac 是补充 IBM WebSphere MQ 产品家族中各种产品 的增件.面向 WebSphere MQ 的 SupportPac 包括产品扩展.用户和管理工具.出口程序 (exits)等等.许多最新的 WebSphere MQ 特性最初都是以 SupportPac 的形式出现的,再根 据用户反馈进行细化和改进,最终整合到基本产品之中.Performance Report SupportPac 会 为每个新产品版本重新创建,而其他许多 Suppo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyrZklp.html" rel="bookmark">WebSphere MQ V6的新特性</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				简介:本文介绍 WebSphere MQ Version 6 的一些主要增强.文中还列出了其他一些参考资料,这些 资料可以帮助您了解更多关于 WebSphere MQ 基本产品及其特性的知识. 什么是 WebSphere MQ? WebSphere MQ 为组织的连接需求提供了一个简单的解决方案, 并且可以作为构建和开发集成解决方案的基础.WebSphere MQ 让您可以轻松地在很多不同平台和环境之 间交换信息 -- 集成新的和已有的业务应用.它能够提供可靠的数据传递,并且使应用开发 人员不必			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zGrglp.html" rel="bookmark" class="title">编译Dubbo源码并测试</a>
					<div>
						Dubbo是阿里巴巴内部的SOA服务化治理方案的核心框架,每天为2000+ 个服务提供3,000,000,000+ 次访问量支持,并被广泛应用于阿里巴巴集团的各成员站点.Dubbo自2011年开源后, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlxjNM.html" rel="bookmark" class="title">在VB&period;net 中连接MySql的类库</a>
					<div>
						    这是在VB.net中为连接MySql中编写的一个类库.你可以使用这个类库直接操作MySql数据库. 在使用这个类库之前,你必须安装 在这个库中有三个类: ManipStringForMySQL ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlx4aM.html" rel="bookmark" class="title">Linux中利用Procmail来反击垃圾邮件</a>
					<div>
						电子邮件是互联网上最重要的通讯手段和工具.从电子邮件诞生的那天起,无聊的垃圾邮件就成为了人们最头疼的问题之一.据说,世界上每年由于垃圾电子邮件给人们带来的损失就高达数亿美元.在Windows操作系统中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKRZLz.html" rel="bookmark" class="title">站长注意：最近流行ARP欺骗攻击</a>
					<div>
						最近网络上很流行一种攻击方式,在你的所有网页里嵌入病毒或广告代码,有时是不定时出现,但是无论你怎么在自己服务器上面怎么查,都找不出原因.甚至重做系统都没有效果.chinaz也曾中过此类病毒,后来终于找 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zG55oM.html" rel="bookmark" class="title">MySQL以速度为目标&lpar;zt&rpar;</a>
					<div>
						mysql|速度 MySQL以速度为目标 ------------------------------------------------------------------------------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlYKnp.html" rel="bookmark" class="title">别听创业者们忽悠 看站长们的吧</a>
					<div>
						这几天蚂蚁社区和怪兽网又掐上了,谁是谁非再我看来并没什么意义.麦田和腾龙都是互联网悍将,很多方面都是值得像我这样的互联网菜鸟学习.我关注这件事也并不是关注这件事的本身,只是想知道,这二位怎么处理这件事 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxmgOp.html" rel="bookmark" class="title">高级：利用Flash制作精彩的迷宫游戏</a>
					<div>
						高级 网页教学网:在以前的教程中我们讲解了利用Flash制作游戏的一些方法,比如碰撞的检测等,在这个教程中我们利用以前学的知识创建一个不错的迷宫游戏!该教程主要是Flash利用材质和遮照创建真实的小球 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjKQWM.html" rel="bookmark" class="title">Linux系统下PhpMyAdmin目录的安全管理</a>
					<div>
						Linux下开发Web程序,现在很流行的开发方法为:用PHP开发Web程序,用Apache做Web Server,Mysql充当后台管理数据库.这种组合使得开发Web程序简单.安全.效率高.由于程序是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0r27z.html" rel="bookmark" class="title">Coreldraw中如何将已转化为曲线的文字再转回可编辑文字</a>
					<div>
						如何在Coreldraw中将已转化为曲线的文字再转回可编辑文字? 原则上讲,已曲线化的文字是无法还原的,除非你正在操作当中,可以按CbrL+Z进行撤销操作.曲线化文字相当于打碎的瓶子,粘回去,看上去一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bal7BQz.html" rel="bookmark" class="title">如何在网上购物不受骗</a>
					<div>
						尝试着在网上购物的人多起来,网上购物纠纷等问题也慢慢多起来,诸如网络上刻录机变成乌龙茶;网络大卖MP3随身听,结果却是一场空;在网络进行演唱会宣传,消费者购买门票后到现场却只见摊贩,甚至出现冒充网络银 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1q7rz.html" rel="bookmark" class="title">体验AspNet MVC Preview5&lpar;2&rpar;-实战自定义View及多ViewEngine协作</a>
					<div>
						在上篇中,我们分别了解了两个系统对ViewEngine的处理,那么接下来我们来实战一下,使用asp.net mvc p5来添加自己的ViewEngine并同时使用多个ViewEngine来呈现数据.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqL3leb.html" rel="bookmark" class="title">milk香港版&mdash;&mdash;交互设计漫谈</a>
					<div>
						当产品相对稳定与可控,小神有愿望快速记录这个项目. 内容涉及小神参与产品设计与执行的过程,由交互/视觉设计层面的需求分析.功能设计与设计执行组成. 与其带入一些工作中的设计技巧,小神更愿意分享其中的设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKj5Op.html" rel="bookmark" class="title">Linux下Varnish缓存服务器的安装与配置</a>
					<div>
						  Varnish是一款高性能且开源的反向代理服务器和http加速器.与传统的Squid相比,Varnish具有性能更高.速度更快.管理更方便等诸多优点.作者Poul-Henning Kamp是Fre ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdgeqM.html" rel="bookmark" class="title">jQuery仿Flash上下翻动的中英文导航菜单实例</a>
					<div>
						 这篇文章主要介绍了jQuery仿Flash上下翻动的中英文导航菜单,实例分析了jQuery实现Flash反动特效的技巧,具有一定参考借鉴价值,需要的朋友可以参考下     本文实例讲述了jQuery ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3jKVp.html" rel="bookmark" class="title">PHP环境搭建</a>
					<div>
						Windows环境搭建 下载软件 下载windows版的PHP:http://windows.php.net/download/ (我下载的是PHP 5.4 (5.4.32) 中的VC9 x86 Th ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdEEg3z.html" rel="bookmark" class="title">python生成随机字符的问题</a>
					<div>
						问题描述 python生成随机字符的问题 我是想写个返回四个随机字符的代码,但是下面程序什么也不输出,也没有提示错误.下面是主要代码: chars='' for t in range(4): strr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVN0Vkz.html" rel="bookmark" class="title">vc2013-visual studio 2013community安装失败，求解。</a>
					<div>
						问题描述 visual studio 2013community安装失败,求解. 报错内容如下:microsoft visual c++ 2013x64 minimum runtime-12.0.21 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NYP6z.html" rel="bookmark" class="title">请教，docker pull XXX 报错</a>
					<div>
						问题描述 先简单说下我的学习环境:基于win764宿主机,安装了virtulbox,创建了基于桥接网络的Suse12的虚拟机.win7可正常上网在Suse12安装了docker并升级到了1.9在虚拟机 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6Wd9b.html" rel="bookmark" class="title">VisualVM一款免费集成了多个JDK命令行可视化工具</a>
					<div>
						本文主要介绍如何使用 VisualVM 进行性能分析及调优. 开发大型 Java 应用程序的过程中难免遇到内存泄露.性能瓶颈等问题,比如文件.网络.数据库的连接未释放,未优化的算法等.随着应用程序的持 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6Q9xb.html" rel="bookmark" class="title">FORMVIEW资源中文显示为乱码，怎么办？</a>
					<div>
						问题描述 我建了一个工程,工程用到了CFormView,为此建立一个FORMVIEW资源(名称是IDD_FORMVIEW(EnglishU.S.)),建好后发现在上面的中文字成为乱码了,上网搜了很多解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6NxVWM.html" rel="bookmark" class="title">编号一个12位数，前8位为默认日期，后四位由0001开始</a>
					<div>
						问题描述 编号一个12位数,前8位为默认日期,后四位由0001开始此编号每天都要重0001开始.如:2010-12-30编号是由2010123000012011-12-31编号是由2010123100 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDn03BM.html" rel="bookmark" class="title">互联网化已经成为中国企业的一种发展趋势</a>
					<div>
						&quot;现阶段,中国大型企业众多核心应用的互联网化已经成为中国企业的一种发展趋势.在这过程中,面对互联网访问的诸多制约,比如南北运营商之间的访问瓶颈.骨干网络抖动.安全问题以及国际间网络不稳定等, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRN5QBM.html" rel="bookmark" class="title">Dot Hill推出入门级2&period;5英寸SAS系统</a>
					<div>
						 Dot Hill昨天宣布推出两款配置了2.5英寸SAS驱动器的入门级RAID阵列.其中,采用了4Gbps光纤通道主机接口的2722型号已经上市,采用了3Gbps SAS主机接口的2522型号预计将在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b22qkob.html" rel="bookmark" class="title">android 内存-Android可以加载数十M的资源吗？？？</a>
					<div>
						问题描述 Android可以加载数十M的资源吗??? Android官网给出的每个应用内存最大为16M,今天一个同事说他原来的公司做的游戏项目中,会一下在加载几十M的纹理文件到内存中.我觉得不太可能, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRGBWp.html" rel="bookmark" class="title">我现在有一个需求</a>
					<div>
						问题描述 我上传了很多的文档到网站上,现在有一个文档列表,如下1.doc2.doc3.txt等等,现在有一个超链接,打开的时候,迅雷总是自动拦截,必须先下载才能看我要的效果是,直接打开,将文件加载到缓 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwXedM.html" rel="bookmark" class="title">sql server-c&num;&plus;jquery&plus;ajax实现注册登录功能</a>
					<div>
						问题描述 c#+jquery+ajax实现注册登录功能 数据库是sql server 客户端和服务器端怎么交换数据 页面代码如下 &lt;nav class=&quot;main_nav&quot;& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvnel1M.html" rel="bookmark" class="title">站长导航 未来的发展方向在哪里&quest;</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅     时至今日,网址导航从当初的hao123一枝独秀,到后来被百度收购后,各类网址导航的层出不穷.网址导航类网站经过几年的发展和优胜劣汰,真正发展起来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoJENM.html" rel="bookmark" class="title">《区块链原理、设计与应用》一3&period;7　其他场景</a>
					<div>
						3.7 其他场景 区块链还有一些很有趣的应用场景,包括但不限于云存储.医疗.社交.游戏等多个方面. 1.?云存储 Storj 项目提供了基于区块链的安全分布式云存储服务.服务保证只有用户自己能看到自己 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRNq2p.html" rel="bookmark" class="title">统计局：目前粮价不具备大幅度上涨基础</a>
					<div>
						国家统计局新闻发言人.国民经济综合统计司副司长盛来运7月14日表示,由于粮食生产实现了连续六年丰收,库存充足,加上今年夏粮生产虽然略低于上年,仍是历史上的第三个好收成,从总体供求关系来讲,目前粮价不具 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxEwE0p.html" rel="bookmark" class="title">jQuery实现带延迟效果的滑动菜单代码&lowbar;jquery</a>
					<div>
						本文实例讲述了jQuery实现带延迟效果的滑动菜单代码.分享给大家供大家参考.具体如下: 这是一款基于jQuery的滑动菜单,鼠标移到某菜单项上,菜单的背景可以滑动过来,平滑的滑动效果,炫动的导航效果 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
